package com.supervision.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 会话表
 * @TableName ir_session
 */
@TableName(value ="ir_session", schema = "interro_robot")
@Data
public class IrSession implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 会话名称,一般以案件号作为会话名称
     */
    private String sessionName;

    /**
     * 会话状态(1进行中,2已结束)
     */
    private Integer sessionState;

    /**
     * 会话用户ID
     */
    private String userId;

    /**
     * 播放速度(2位,小数后1位,例如:1.5)
     */
    private BigDecimal videoSpeed;

    /**
     * 播报方式(1语音 2文字)
     */
    private Integer broadcastType;

    /**
     * 会话评分(1满意 2不满意,3未评估)
     */
    private Integer sessionScore;

    /**
     * 
     */
    private String createUserId;

    /**
     * 
     */
    private LocalDateTime createTime;

    /**
     * 
     */
    private String updateUserId;

    /**
     * 
     */
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}