package com.supervision.service.impl;

import cn.hutool.core.date.DateTime;
import cn.hutool.core.date.DateUnit;
import cn.hutool.core.date.DateUtil;
import com.supervision.service.VoiceService;
import com.supervision.util.AsrUtil;
import com.supervision.util.TtsUtil;
import com.supervision.vo.voice.VoiceReqVO;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;

@Slf4j
@Service
@RequiredArgsConstructor
public class VoiceServiceImpl implements VoiceService {

    @Override
    public String voiceToText(MultipartFile file, String sessionId) throws IOException {
        log.info("语音转文字开始");
        return AsrUtil.asrTransformByBytes(file.getBytes());
    }


    @Override
    public String textToVoice(String text) {
        log.info("文字转语音开始");
        return TtsUtil.ttsTransform(text);
    }
}
